package com.cm.central.control.controller.routes.client;

import com.cm.common.constants.ISystemConstant;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.method.annotation.ModelAndViewMethodReturnValueHandler;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: ClientRouteController
 * @Description: 客户端
 * @Author: WangGeng
 * @Date: 2020/7/30 7:44 下午
 * @Version: 1.0
 **/
@Api(tags = ISystemConstant.API_TAGS_SYSTEM_PREFIX + "客户端接口")
@Controller
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/client")
public class ClientRouteController {

    @ApiOperation(value = "客户端列表")
    @GetMapping("listclient")
    public ModelAndView listClient() {
        return new ModelAndView("client/list-client");
    }

    @ApiOperation(value = "客户端新增")
    @GetMapping("saveclient")
    public ModelAndView saveClient() {
        return new ModelAndView("client/save-client");
    }

    @ApiOperation(value = "客户端编辑")
    @GetMapping("updateclient")
    public ModelAndView updateClient() {
        return new ModelAndView("client/update-client");
    }

    @ApiOperation(value = "客户端秘钥")
    @GetMapping("updateclientlicense")
    public ModelAndView updateClientLicense() {
        return new ModelAndView("client/update-client-license-authorization");
    }

    @ApiOperation(value = "客户端详情")
    @GetMapping("getclientinfo")
    public ModelAndView getClientInfo() {
        return new ModelAndView("client/get-client-info");
    }

}
